Package org.h2.value.lob

# Class LobDataInMemory

java.lang.Object
org.h2.value.lob.LobData
org.h2.value.lob.LobDataInMemory

public final class LobDataInMemory extends LobData
LOB data stored in memory.

## Constructor Summary

Constructors
Constructor
Description
`LobDataInMemory(byte[] small)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream(long precision)`
Get stream to read LOB data from
`int`
`getMemory()`
Get the memory used by this object.
`byte[]`
`getSmall()`
Get the data if this a small lob value.

### Methods inherited from class org.h2.value.lob.LobData

`getDataHandler, isLinkedToTable, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LobDataInMemory

public LobDataInMemory(byte[] small)

## Method Details

### getInputStream

public InputStream getInputStream(long precision)
Description copied from class: `LobData`
Get stream to read LOB data from

Specified by:
  `getInputStream` in class `LobData`
Parameters:
  `precision` - octet length of the stream, or -1 if unknown
Returns:
  stream to read LOB data from

### getSmall

public byte[] getSmall()
Get the data if this a small lob value.

Returns:
  the data

### getMemory

public int getMemory()
Description copied from class: `LobData`
Get the memory used by this object.

Overrides:
  `getMemory` in class `LobData`
Returns:
  the memory used in bytes